# $Revision: 1.29 $, $Date: 2002/10/09 14:16:05 $
Summary:	Experimantal Links (text WWW browser)
Summary(pl):	Eksperymentalny Links (tekstowa przegldarka WWW)
Name:		elinks
Version:	0.4pre18
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://elinks.or.cz/download/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	links.png
Patch0:		%{name}-configure.patch
Patch1:		%{name}-lua-scripts-fixes.patch
Patch2:		%{name}-gzip_fallback.patch
URL:		http://elinks.or.cz/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gpm-devel
BuildRequires:	lua-devel
BuildRequires:	ncurses-devel => 5.1
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	zlib-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the elinks tree - intended to provide feature-rich version of
links, however not rock-stable and dedicated mainly for testing. Its
purpose is to make alternative to links, until Mikulas will have some
time to maintain it, and to test and tune various patches for Mikulas
to be able to include them in the official links releases.

%description -l pl
Bogata w opcje i moliwoci wersja tekstowej przegldarki www - links.
elinks jednak jest dedykowana gwnie do testowania.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--without-x
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/WWW \
	$RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/WWW
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

install contrib/lua/config.lua $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog HACKING LUA NEWS README SITES TODO
%doc contrib/{completion.tcsh,keybind*,wipe-out-ssl*,lua/{*.lua,elinks-remote}}
%doc contrib/conv/{*awk,*.pl,*.sh}
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/WWW/*
%{_mandir}/man*/*
%{_pixmapsdir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: elinks.spec,v $
Revision 1.29  2002/10/09 14:16:05  juandon
- updated to 0.4pre18

Revision 1.28  2002/10/09 13:14:20  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/09/29 19:24:38  juandon
- added gzip_fallback patch
- Rel 2

Revision 1.26  2002/09/12 20:19:55  grzegol
- updated to 0.4pre17

Revision 1.25  2002/09/04 09:31:46  qboosh
- added pl-fixes patch - fixes for some typos etc. in pl translation
- release 2, STBR

Revision 1.24  2002/08/31 15:48:54  jojoro
- ver 0.4pre16
- patch2 is no longer needed

Revision 1.23  2002/08/29 12:54:22  grzegol
- updated polish translation (Patch2)

Revision 1.22  2002/08/29 11:33:09  grzegol
- updated to 0.4rpe15
- changed URL and Source0 to new ones

Revision 1.21  2002/08/14 19:44:25  jojoro
- ver 0.4pre14

Revision 1.20  2002/08/07 07:12:07  jojoro
- ver 0.4pre13

Revision 1.19  2002/08/05 12:37:38  qboosh
- --without-x, release 3

Revision 1.18  2002/07/31 15:06:10  grzegol
- merged from DEVEL (updated to 0.4pre7)

Revision 1.17  2002/05/28 09:16:55  gotar
- added pixmap from native links,
- release 2.

Revision 1.16  2002/05/28 09:08:27  gotar
- typo

Revision 1.15  2002/05/21 23:12:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/05/21 22:38:33  qboosh
- new %%doc

Revision 1.13  2002/05/19 18:32:06  grzegol
- updated to 0.3.2
- cleanups
STBR

Revision 1.12.2.11  2002/07/31 14:16:55  grzegol
- added converting scripts from contrib to %%doc
- rel. 2

Revision 1.12.2.10  2002/07/10 05:52:56  jojoro
- ver 0.4pre12
- gzip-http patch is no longer needed (i think so)

Revision 1.12.2.9  2002/07/06 07:48:55  jojoro
- version 0.4pre11
- please update Patch2!!!

Revision 1.12.2.8  2002/07/04 12:05:09  grzegol
- updated to 0.4pre10
- lua scripts are now in %%docdir
- cosmetics

Revision 1.12.2.7  2002/05/28 18:21:46  grzegol
- fixed img patch (now image file name is between brackets)
- new autoconf/automake macros
- rel. 1.4

Revision 1.12.2.6  2002/05/28 15:26:33  grzegol
- added img patch (display image name instead of [IMG] when there is no
  "alt" text)
- added icon (from links)
- rel. 1.3

Revision 1.12.2.5  2002/05/25 21:42:25  qboosh
- new %%doc

Revision 1.12.2.4  2002/05/17 19:19:35  grzegol
- fixed gzip-http patch (fix by Witold Filypczyk)
- rel 1.2

Revision 1.12.2.3  2002/05/16 20:59:47  grzegol
- noreplace flag is back for elinks-hooks.lua config file
- added gzip-http patch by Witold Filipczyk (need test!)
- rel 1.1

Revision 1.12.2.2  2002/05/15 10:59:28  grzegol
- added hooks-fix patch (fixes paths in elinks-hooks.lua)
- s/elinks-bm.lua/bm.lua/ in %%{_datadir}/elinks
- added BR: bzip2-devel and BR: zlib-devel
- cleanups

Revision 1.12.2.1  2002/05/14 19:49:06  jojoro
- updated to 0.4pre7

Revision 1.12  2002/05/01 11:56:09  grzegol
- fixed URL and Source0

Revision 1.11  2002/04/25 16:14:55  arturs
fixed a small typo

Revision 1.10  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/03/04 20:08:53  grzegol
- updated to 0.3.0
- added noreplace flag for /etc/elinks-hooks.lua file
STBR

Revision 1.8  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/12 19:53:27  grzegol
- updated to 0.2.3
- added BR: lua-devel
- added elinks-configure.patch (now elinks builds with lua)
- added elinks-lua-config-file.patch (read config from /etc/elinks-hooks.lua)
- added default lua config file (Source3)
- added better bookmarking system (Source2) (default off - edit
  elinks-hooks.lua file)
STBR

Revision 1.5  2002/02/03 19:58:52  kloczek
- release 2.

Revision 1.4  2002/02/02 17:50:33  grzegol
- updated to 0.2.2
- STBR

Revision 1.3  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/08 08:52:30  qboosh
- typo

Revision 1.1  2002/01/07 21:40:44  misiek
- initial pld release
